module.exports = getTerm = (dateStr) => {
  const date = new Date(dateStr);
  let term = "";
  const year = date.getUTCFullYear();
  if (
    new Date(`${year}-01-01`).getTime() <= date.getTime() &&
    date.getTime() <= new Date(`${year}-04-30`).getTime()
  ) {
    term = "winter";
  } else if (
    new Date(`${year}-05-01`).getTime() <= date.getTime() &&
    date.getTime() <= new Date(`${year}-08-31`).getTime()
  ) {
    term = "spring";
  } else if (
    new Date(`${year}-09-01`).getTime() <= date.getTime() &&
    date.getTime() <= new Date(`${year}-12-31`).getTime()
  ) {
    term = "fall";
  }
  return { year: year, term: term };
};
